Piloterr

LinkedIn Company Info

Access critical business insights with our LinkedIn Company Scraper API for strategic analysis.

Credit cost: 1 credit per call

GET
/v2/linkedin/company/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query?string

The target LinkedIn company to look up. Accepts a username, full URL, or numeric company ID.

Accepted formats:

  • ferrari — LinkedIn username/slug
  • https://it.linkedin.com/company/ferrari — full LinkedIn company URL
  • 7050 — numeric LinkedIn company ID

Example:

https://www.linkedin.com/company/ferrari
domain?string

A domain name to perform a reverse website lookup and find the matching LinkedIn company.

Accepted formats:

  • guideflow.com — bare domain
  • https://www.guideflow.com — full URL (domain is extracted automatically)

Example:

guideflow.com

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/linkedin/company/info"

{
  "posts": [
    {
      "post_id": "7442991179371167745",
      "post_url": "https://www.linkedin.com/posts/ferrari_ferrari12cilindrispider-ferrari-activity-7442991179371167745-iqaJ"
    },
    {
      "post_id": "7442602811004973056",
      "post_url": "https://www.linkedin.com/posts/ferrari_museoenzoferrari-modena-museiferrari-activity-7442602811004973056-L0Lf"
    }
  ],
  "founded": 1947,
  "tagline": "Ferrari, Italian excellence that makes the world dream.",
  "website": "http://www.ferrari.com",
  "industry": "Motor Vehicle Manufacturing",
  "logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQWtQAnYFMEA/company-logo_200_200/company-logo_200_200/0/1630655008326/ferrari_logo?e=2147483647&v=beta&t=FZyFfc6-ZOFhE715KLI-YtJBbLwDW3Zb3UYf8rNKrjs",
  "employees": [
    {
      "name": "Guido Bolognesi",
      "profile_url": "https://it.linkedin.com/in/guidob"
    },
    {
      "name": "Marco Villa",
      "profile_url": "https://ae.linkedin.com/in/marvilla"
    }
  ],
  "locations": [
    "Abetone inferiore Maranello, MO 41053, IT",
    "via Abetone inferiore n°4 Modena, MO 41100, IT"
  ],
  "company_id": 7050,
  "company_url": "https://it.linkedin.com/company/ferrari",
  "description": "Ferrari's story officially began in 1947 when its first road car, the 125 S, emerged from the gate of no. 4 Via Abetone Inferiore in Maranello.",
  "headquarter": {
    "city": "Maranello",
    "line1": "Abetone inferiore",
    "country": "IT",
    "postal_code": "41053"
  },
  "staff_count": 10951,
  "staff_range": "over-10k",
  "company_name": "Ferrari",
  "specialities": [
    "automotive",
    "racing",
    "retail",
    "innovation",
    "luxury",
    "italy",
    "exclusivity",
    "design",
    "engineering",
    "Formula 1"
  ],
  "follower_count": 2137342
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}